Menu
WordPress 4.8 to End Support for IE 8, 9, and 10
1 Unique Vote

WordPress 4.8

Matt Mullenweg (Mr WordPress himself) announced that the upcoming version of WordPress: 4.8 will drop its support for IE 8, 9, and 10. Core contributors have been discussing browser support for the past two months in relationship to setting technical requirements for the new editor.

Microsoft already discontinued support for IE 8, 9, & 10 in Jan 2016, this means that they no longer get security updates. Mullenweg repeated that continue support for these browsers is holding back development of WordPress .

“I realize that folks still running these browsers are probably stuck with them because of something out of their control, like being at a library or something,” Mullenweg said. “Depending on how you count it, those browsers combined are either around 3% or under 1% of total users, but either way they’ve fallen below the threshold where it’s helpful for WordPress to continue testing and developing against.”

Dertimining how many users are on these obsolete browsers, Jonathan Desrosiers put together data from 3 different places. Here are numbers for IE usage published by StatCounter’s GlobalStats, Desrosiers said these are nearly identical to WordPress’s numbers:

  • IE8 –  0.41%
  • IE9 –  0.26%
  • IE10 –  0.26%
  • IE11 –  3.79%

WordPress will not stop working entirely in these browsers, but after the 4.8 release contributors will no longer test new features against older versions of IE. Some capabilities in wp-admin may be more limited. Mullenweg confirmed that the next versions of TinyMCE will no support older IE versions.

Global IE usage has declined from 7.44% in March 2016 to 4.18% in March 2017. IE marketshare has been shrinking as mobile device usage has gone up. October 2016 marked the first month in history that mobile and tablet traffic exceeded desktop usage worldwide. As this trend of declining desktop usage continues, IE will likely be buried within a couple of years.

“I have been hard pressed to find a U.S. government agency running a version of IE less than 11,” WordPress lead developer Andrew Nacin commented on the announcement. “Government agency websites similarly see negligible traffic from IE < 11.”

The decision to drop support for IE 8, 9, and 10 was met with celebration from the WordPress developer community. Focusing on browsers that still receive security updates is a better use of open source contributors’ time and resources. Developers who do client work can also refer to WordPress’ IE support policy when pressured by clients to support insecure browsers.

Naturally, the topic of raising minimum browser requirements resulted in developers lobbying to drop support for PHP 5.2, which reached end of life more than six years ago. In March 2015, WordPress stats estimated PHP 5.2 usage at 16.6%, but that number has dropped steadily to 5.1% today. The task of updating a browser to the latest version was designed to be easy for users, but upgrading PHP versions is still somewhat complicated for those who are not receiving help from their hosting companies. The 5.1% on PHP 5.2 represents millions of users who would need to cross a significant hurdle into order to stay current with the latest version of WordPress.

Content retrieved from: https://wptavern.com/wordpress-4-8-will-end-support-for-internet-explorer-versions-8-9-and-10.

Maine Hosting Solutions
CART DEALS LOGIN

PLEASE FOLLOW US ON





WordPress Gallery

Get Instant Access to our TOP 5 Most Effective SEO Tips that are proven to work.

Stay Up-To-Date with SEO, WordPress, and most importantly SECURITY.

Join our mailing list to receive the latest news and updates from our SuperHeroes, sent out every Wednesday morning.

You have Successfully Subscribed!

Pin It on Pinterest